DEVICE_GET_SYSCTL(9)

NAME
device_get_sysctl_ctx, device_get_sysctl_tree - manipulate the sysctl oid tree for driver specific sysctl nodes

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
struct sysctl_ctx_list *
device_get_sysctl_ctx(device_t dev);
struct sysctl_oid *
device_get_sysctl_tree(device_t dev);

DESCRIPTION
The newbus system automatically adds a sysctl node for each device in the system. This node can be accessed with the device_get_sysctl_tree() function. The context for the node can be obtained with the device_get_sysctl_ctx() function.

SEE ALSO
device(9)

AUTHORS
This manual page was written by Warner Losh.